<?php
session_start();
date_default_timezone_set('America/Lima');
require_once ("../../config/Cado.php");
require_once ("cCompra.php");
$oCompra = new cCompra();
require_once("../formatos/formato.php");
?>
<style type="text/css">
.ui-autocomplete
{
    z-index: 99999; 
}
</style>
			<div class="col-lg-12 col-md-12 col-xs-12 " >
						<input name="com_id" id="com_id" type="hidden" value="<?php echo $_POST['comid']?>">
						
						<div class="box-header with-border">
							<h3 class="box-title">SUBIR ARCHIVO RELACIONADO A LA COMPRA Nº <?php echo $_POST['numdoc'] ?></h3>
						</div>
							
						<div class="col-lg-12 col-md-12 col-xs-12" style="height:10px;"></div> 	
						
						<div class="col-lg-12 col-md-12 col-xs-12">
						
							<form enctype="multipart/form-data" title="Subir archivo"  class="formulario" id="formularioarchivo_compra" style="padding:0px;" >
								<input id="file_archivo_compra" type="file" name="file_archivo_compra" class="" >	
								<input name="hdd_com_id" id="hdd_com_id" type="hidden" value="<?php echo $_POST['comid']?>">
							</form>		
						
						</div> 	
						
						<div class="col-lg-12 col-md-12 col-xs-12" style="height:10px;"></div> 	
						
						<div class="col-lg-12 col-md-12 col-xs-12">
						<center>
						<label align="center" style="text-decoration:underline">ARCHIVOS RELACIONADOS</label>
						</center>
						</div> 	
						
						<div class="col-lg-12 col-md-12 col-xs-12">
						<div id="div_compra_archivos_tabla"></div>
						</div> 									 
					
				
				<div class="box-footer float-right ">
				<button title="CERRAR VENTANA" type="button" data-dismiss="modal" class="btn btn-danger"><i class="fas fa-times"></i></button>				
				</div>
								
			</div>
		
<script type="text/javascript">
 $("#file_archivo_compra").fileinput({
        browseClass: "btn btn-sm btn-success ",
		 browseLabel:"SUBIR ARCHIVO PDF",
		 browseIcon: "<i class=\"fa fa-file-excel-o\"></i> ",
         showPreview : false,
		showCaption: false,
        showRemove: false,
        showUpload: false
    });
	
	compraarchivos_tabla($('#com_id').val());
	
function compraarchivos_tabla(comid)
	{	
		$.ajax({
			type: "POST",
			url: "../compra/compraarchivos_tabla.php",
			async:true,
			dataType: "html",                      
			data: ({
				comid :comid
		}),
			beforeSend: function() {
				$('#div_compra_archivos_tabla').addClass("ui-state-disabled");
			},
			success: function(html){
				$('#div_compra_archivos_tabla').html(html);
			},
			complete: function(){			
				$('#div_compra_archivos_tabla').removeClass("ui-state-disabled");
			}
		});     
	}
	
	function eliminar_archivo(arcid)
	{	
		$.ajax({
			type: "POST",
			url: "../compra/compra_reg.php",
			async:true,
			dataType: "html",                      
			data: ({
				action:'eliminararchivo',
				arcid :arcid
		}),
			beforeSend: function() {
			
			},
			success: function(html){
				toastr["success"](html);
			},
			complete: function(){			
					compraarchivos_tabla($('#com_id').val());
			}
		});     
	}
	
	
	
	$("#file_archivo_compra").change(function(){
	
	var file = $("#file_archivo_compra")[0].files[0];
	var fileName = file.name;
	fileExtension = fileName.substring(fileName.lastIndexOf('.') + 1);
	
	var formData = new FormData($("#formularioarchivo_compra")[0]);
			
	if(fileExtension == "pdf"){
		
		$.ajax({
		type: "POST",
		url: "../compra/importar_archivo.php",
		cache: false,
        contentType: false,
        processData: false,                
		data: formData,
		beforeSend: function() {
			toastr["info"]('Procesando archivo');
        },
		success: function(rpt){
			
		toastr["info"]('Archivo procesado correctamente');
		
			
		},
		complete: function(){			
		compraarchivos_tabla($('#com_id').val());
		}
	});     
		
	}else{
		toastr["error"]('Seleccione un archivo PDF');
	}
});
	
	
	
	
	
</script>		
		